%define tarball_version 1_5_2_r2

Name:           mp3gain
Version:        1.5.2
Release:        %mkrel 4
Summary:        Lossless MP3 volume adjustment tool

Group:          Sound/Utilities
License:        LGPLv2
URL:            http://mp3gain.sourceforge.net
Source0:        http://osdn.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{tarball_version}-src.zip
Source1:        %{name}.1.bz2
Source2:        README.method
Patch0:         mp3gain_tempfile_default.patch
Patch2:         mp3gain_cflags.patch

%description
MP3Gain analyzes and adjusts mp3 files so that they have the same
volume. It does not just do peak normalization, as many normalizers
do. Instead, it does some statistical analysis to determine how loud
the file actually sounds to the human ear. Also, the changes MP3Gain
makes are completely lossless. There is no quality lost in the change
because the program adjusts the mp3 file directly, without decoding
and re-encoding.

%prep
%setup -q -c %{name}-%{tarball_version}-src
%patch0 -p1 -b .tempfile
%patch2 -p1 -b .cflags
install -p -m 644 %{SOURCE2} .
%{__sed} -i 's/\r//' lgpl.txt

%build
%make

%install
install -Dp -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -Dp -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1.bz2

%files
%doc lgpl.txt README.method
%{_bindir}/%{name}
%{_mandir}/man1/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.5.2-4.mga3
+ Revision: 360329
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 malo <malo> 1.5.2-3.mga3
+ Revision: 324688
- fix License
- update RPM group

* Fri Apr 08 2011 obgr_seneca <obgr_seneca> 1.5.2-2.mga1
+ Revision: 82181
- cleaned up spec
- removed buildroot tag
- imported package mp3gain

